# Class LocaleChangeEvent

java.lang.Object
java.util.EventObject
org.apache.jmeter.util.LocaleChangeEvent

All Implemented Interfaces:
  `Serializable`

public class LocaleChangeEvent extends EventObject

Version:
  $Revision: 905027 $
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`LocaleChangeEvent(Object source)`
`LocaleChangeEvent(Object source, Locale locale)`

## Method Summary

Modifier and Type
Method
Description
`Locale`
`getLocale()`

### Methods inherited from class EventObject

`getSource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocaleChangeEvent

public LocaleChangeEvent(Object source)

### LocaleChangeEvent

public LocaleChangeEvent(Object source, Locale locale)

## Method Details

### getLocale

public Locale getLocale()